# Uses of Class
org.bukkit.potion.Potion

Packages that use Potion
Package
Description
org.bukkit.potion
Classes to represent various `potion` properties and manipulation.

## Uses of Potion in org.bukkit.potion

Methods in org.bukkit.potion that return Potion
Modifier and Type
Method
Description
`@NotNull Potion`
Potion.`extend()`
Deprecated.
Chain this to the constructor to extend the potion's duration.
`static @NotNull Potion`
Potion.`fromDamage(int damage)`
Deprecated.
Gets the potion from its damage value.
`static @NotNull Potion`
Potion.`fromItemStack(@NotNull ItemStack item)`
Deprecated.
`@NotNull Potion`
Potion.`splash()`
Deprecated.
Chain this to the constructor to make the potion a splash potion.